LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 10-16-2008, 11:16 AM   #1
centguy
Member
 
Registered: Feb 2008
Posts: 516
Blog Entries: 1

Rep: Reputation: 39
install p4vasp, what is the difference between python-gtk and pygtk ?


I downloaded a software from the VASP forum called p4vasp-0.3.9-1.i586.rpm.

I hit this problem:

[root@centos45 p4v]# rpm -ivh p4vasp-0.3.9-1.i586.rpm
error: Failed dependencies:
python-gtk is needed by p4vasp-0.3.9-1.i586
fltk is needed by p4vasp-0.3.9-1.i586
libfltk_gl.so.1.1 is needed by p4vasp-0.3.9-1.i586
libfltk.so.1.1 is needed by p4vasp-0.3.9-1.i586


I google search python-gtk, but it directs me to pygtk website.

But on my CentOS4.5, I already have pygtk2-2.4.0.

yum install python-gtk does not work on Centos4.5.

I went to rpmforge, there I found python-gtk-0.6.11-13mdv2007.1.i586.rpm.
Installing that reveals that I need to get quite a few pre-requisite rpms, which I am too tired to hunt them down and even I can get all of them, it might not work since I am not sure of the consistency between
mdv and EL.

pbone.net tells me that rpm is only available under SUSE platform.

What should I do ?
 
Old 10-16-2008, 12:20 PM   #2
centguy
Member
 
Registered: Feb 2008
Posts: 516

Original Poster
Blog Entries: 1

Rep: Reputation: 39
sorry I have yum install fltk and fltk-devel and it is much easier to compile successfully p4vasp from the source. The rpm way of installing is a mess for p4vasp (I think).
 
Old 10-30-2008, 08:37 AM   #3
LinusP
LQ Newbie
 
Registered: Oct 2008
Posts: 1

Rep: Reputation: 0
GoVASP

Quote:
Originally Posted by centguy View Post
sorry I have yum install fltk and fltk-devel and it is much easier to compile successfully p4vasp from the source. The rpm way of installing is a mess for p4vasp (I think).
Hi xentosguy,

since you had some problems to install p4vasp I wonder whether this program is more user-friendly when it comes to prepare VASP input and to evaluate VASP output files. What is your first impression?

BTW, recently I have found another software for using VASP better: GoVASP (www.govasp.com). Did you hear about GoVASP before?

LinusP

Last edited by LinusP; 10-30-2008 at 08:44 AM.
 
Old 10-26-2009, 01:18 PM   #4
yatchclub
LQ Newbie
 
Registered: Oct 2009
Posts: 2

Rep: Reputation: 0
I'm looking for answers

Quote:
Originally Posted by centguy View Post
sorry I have yum install fltk and fltk-devel and it is much easier to compile successfully p4vasp from the source. The rpm way of installing is a mess for p4vasp (I think).
hello; i would like some help to install p4vasp, I can't install it using the rpm way, can any one help me?
 
Old 10-27-2009, 12:14 AM   #5
centguy
Member
 
Registered: Feb 2008
Posts: 516

Original Poster
Blog Entries: 1

Rep: Reputation: 39
This is taken from my old note:

I built this on CentOS 5.2 system, I think you should not have
any problem installing on other modern OSes.


Quote:
yum install fltk.x86_64
yum install fltk-devel.x86_64


[root@centos52-64-fuj p4vasp-0.3.13]# make
echo "p4vasp_home='/usr/lib/p4vasp'" >lib/p4vasp/config.py
cat vinfo.py >> lib/p4vasp/config.py
cd odpdom && make libODP.a
make[1]: Entering directory `/sda3/home/sda4-extra-space/install/p4vasp-0.3.13/odpdom'
g++ -fpic -g -DPY_DOMEXC_MODULE="\"xml.dom.\"" -I`python -c "import sys;import os.path;print os.path.join(sys.prefix,\"include\",\"python\"+sys.version[:3])"` -Iinclude -c string.cpp -o string.o
g++ -fpic -g -DPY_DOMEXC_MODULE="\"xml.dom.\"" -I`python -c "import sys;import os.path;print os.path.join(sys.prefix,\"include\",\"python\"+sys.version[:3])"` -Iinclude -c markText.cpp -o markText.o
...
include/p4vasp/VisSlideDrawer.h:81: warning: ‘class RainbowColorGradient’ has virtual functions but non-virtual destructor
g++ -shared -L. -o _cp4vasp.so cp4vasp_wrap.o -lp4vasp -L../odpdom -lODP `fltk-config --use-gl --ldflags` -lpthread
make[1]: Leaving directory `/sda3/home/sda4-extra-space/install/p4vasp-0.3.13/src'
[root@centos52-64-fuj p4vasp-0.3.13]# make install
echo "p4vasp_home='/usr/lib/p4vasp'" >lib/p4vasp/config.py
cat vinfo.py >> lib/p4vasp/config.py
cd odpdom && make libODP.a
make[1]: Entering directory `/sda3/home/sda4-extra-space/install/p4vasp-0.3.13/odpdom'
make[1]: `libODP.a' is up to date.
[root@centos52-64-fuj p4vasp-0.3.13]# make install
echo "p4vasp_home='/usr/lib/p4vasp'" >lib/p4vasp/config.py
cat vinfo.py >> lib/p4vasp/config.py
cd odpdom && make libODP.a
make[1]: Entering directory `/sda3/home/sda4-extra-space/install/p4vasp-0.3.13/odpdom'
...chmod 644 /usr/lib/libp4vasp.a
cp odpdom/libODP.a /usr/lib
chmod 644 /usr/lib/libODP.a
mkdir -p /usr/lib/p4vasp
cp -R doc /usr/lib/p4vasp
chmod -R 755 /usr/lib/p4vasp/doc
chmod 644 /usr/lib/p4vasp/doc/*
chmod -R 755 /usr/lib/p4vasp/doc/api
chmod 644 /usr/lib/p4vasp/doc/api/*
chmod -R 755 /usr/lib/p4vasp/doc/api/c
chmod -R 755 /usr/lib/p4vasp/doc/api/python
chmod -R 755 /usr/lib/p4vasp/doc/intro
chmod 644 /usr/lib/p4vasp/doc/intro/*
[root@centos52-64-fuj p4vasp-0.3.13]#
 
Old 10-29-2009, 01:07 PM   #6
yatchclub
LQ Newbie
 
Registered: Oct 2009
Posts: 2

Rep: Reputation: 0
thank for the quick answer, but in my case the question is that I actually have those libs in my SO instaled by default!! (fltk.x86_64, fltk-devel.x86_64)
I use openSuse 10.3...
The program still doing the same, just doesn't recognize those libs are installed, maybe it searches in another location, I don't know...and this is my big problem...I can't understand very well the python's language, I suppose...
Again thanks, but if you still have an answer for this I would like to have your point of view
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Help on driconf (gtk and pygtk) zaqwe Slackware 7 09-03-2007 07:46 AM
install latest versions of python, pygtk and glib kosmognov Linux - Software 2 05-12-2006 02:30 PM
pygtk-2.0 not found during install of gnome-python? morrolan Linux - Software 9 02-02-2004 01:13 AM
installing pygtk... cant find gtk true_atlantis Linux - Software 8 01-15-2004 01:37 PM
gDesklets, pyGTK, gnome-python ilhbutshm Slackware 4 12-11-2003 07:44 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 04:02 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration